
Redmine - Patch #4262

Bazaar: correct renames handling, other improvements

2009-11-22 00:43 - Ivan Korotkov

Status: New Start date: 2009-11-22

Priority: High Due date:  

Assignee: Ivan Korotkov % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

This patch fixes some problems with Bazaar adapter, namely:

Renames shown correctly (past behaviour was: show as modified);

History doesn't stop on first entry rename (uses internal object ids to retrieve changes);

Last revision the entry was changed in displayed correctly (past behaviour was: sort alphabetically, i.e. if object was changed in

2, 9, 13, then 9 would be shown);

Field tags changed a little to make it clear to user that he can either enter local path to branch repo or http:// URL).

Bazaar adapter uses change.revision to store internal object ids which are pretty long, not revision number. So when viewing

repository/revisions/:id, these long ids are shown after diff link, not before it (more convenient for bazaar, doesn't change

anything for other SCMs).

Patch created against r3083.

Related issues:

Related to Redmine - Feature #2799: Support for Bazaar's shared reposetories ... New 2009-02-21

Related to Redmine - Defect #2493: Subversion: Error message for some of view... Confirmed 2009-01-12

History

#1 - 2009-11-22 00:54 - Ivan Korotkov

- File bzr-fixes.patch added

Fixed stupid typo in patch, sorry.

#2 - 2009-12-24 13:37 - Ivan Korotkov

- File bzr-fixes-r3235.patch added

I decided to remove internal bazaar object ids from revision view (repository/revisions/:id) at all, because they are actually never needed and tend to

block the view. Taken against r3235.

Month passed since this patch was added. Seems that no-one is interested in Bazaar support for Redmine?

#3 - 2010-03-06 20:45 - Antti Kaijanmäki

There are people interested in Bazaar support for Redmine, at least I am. ;)

I'm sure this will be merged when some developer has the time to do it.

#4 - 2012-09-27 20:35 - David LeBauer

- Assignee set to Ivan Korotkov

would this be resolved by a feature like #5501, which tracks merge/branch history in repository view?

Files

bzr-fixes.patch 5.48 KB 2009-11-21 Ivan Korotkov

bzr-fixes.patch 5.48 KB 2009-11-21 Ivan Korotkov

bzr-fixes-r3235.patch 5.02 KB 2009-12-24 Ivan Korotkov
